Tool: get_documents
Use this tool to retrieve the full content of a single document or up to 20 documents in a single call. The document names should be obtained from the parent field of results from a call to the search_documents tool. Set the names parameter to a list of document names.
The following sample demonstrate how to use curl to invoke the get_documents MCP tool.
| Curl Request |
|---|
curl --location 'https://developerknowledge.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_documents", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request schema for get_documents.
GetDocumentsRequest
| JSON representation |
|---|
{ "names": [ string ] } |
| Fields | |
|---|---|
names[] |
Required. The names of the documents to retrieve, as returned by search_documents. A maximum of 20 documents can be retrieved in one call. The documents are returned in the same order as the |
Output Schema
Response schema for get_documents.
GetDocumentsResponse
| JSON representation |
|---|
{
"documents": [
{
object ( |
| Fields | |
|---|---|
documents[] |
Documents requested. |
Document
| JSON representation |
|---|
{ "name": string, "uri": string, "content": string, "description": string, "title": string } |
| Fields | |
|---|---|
name |
Identifier. The resource name of the document. Format: |
uri |
Output only. The URI of the content, such as |
content |
Output only. The content of the document in Markdown format. |
description |
Output only. A description of the document. |
title |
Output only. The title of the document. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌